Eclipse BIRT Report Object Model (ROM)

TemplateReportItem Element

# Element Overview

Represents a template placeholder for a report item.

### Details

Display Name: | Template Report Item
Since: | 2.0
XML Element: | `template-report-item`
Extends: | TemplateElement
Extendable: | No
Abstract: | No
Name Space: | Report Items
Name Requirement: | Optional
Allows User Properties: | Yes
Has Style: | No

### Property Summary

visibility

### Inherited Properties

displayName, displayNameID, name, refTemplateParameter

### Description

Represents a template report item, its a placeholder to generate a real report item.

# Property Detail

## visibility Property

### Details

Type: | List of HideRule Structures
Since: | 2.1
Required: | No
Display Name: | Visibility
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Hidden
Property Sheet Group: | Top